<?php

class ControladorVehiculo{

	/*=============================================
	REGISTRO DE VEHICULO
	=============================================*/

	static public function ctrCrearVehiculo(){

		if(isset($_POST["nuevoMarca"])){

			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["nuevoMarca"])){


				$tabla = "vehiculo";
				$estado = 0;
				$datos = array("marca" => $_POST["nuevoMarca"],
					           "placa" => $_POST["nuevoPlaca"],
							   "estado" => $estado);

				$respuesta = ModeloVehiculo::mdlIngresarVehiculo($tabla, $datos);
			
				if($respuesta == "ok"){

					echo '<script>

					swal({

						type: "success",
						title: "¡Datos del Vehiculo ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "vehiculo";
						}
					});
					</script>';
				}	

			}else{

				echo '<script>

					swal({

						type: "error",
						title: "¡Datos del Vehiculo no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "vehiculo";

						}

					});
				

				</script>';

			}


		}


	}

	/*=============================================
	MOSTRAR VEHICULO
	=============================================*/

	static public function ctrMostrarVehiculo($item, $valor){

		$tabla = "vehiculo";

		$respuesta = ModeloVehiculo::MdlMostrarVehiculo($tabla, $item, $valor);

		return $respuesta;
	}


	/*=============================================
	EDITAR VEHICULO
	=============================================*/

	static public function ctrEditarVehiculo(){

		if(isset($_POST["EditarMarca"])){

			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["EditarMarca"])){

				$tabla = "vehiculo";


				$datos = array("marca" => $_POST["EditarMarca"],
								"placa" => $_POST["EditarPlaca"],
							   	"id_vehiculo" => $_POST["idVehiculo"]);

				$respuesta = ModeloVehiculo::mdlEditarVehiculo($tabla, $datos);

				if($respuesta == "ok"){

					echo'<script>

					swal({
						  type: "success",
						  title: "Los Datos del vehiculo ha sido editado correctamente",
						  showConfirmButton: true,
						  confirmButtonText: "Cerrar"
						  }).then(function(result){
									if (result.value) {

									window.location = "vehiculo";
									
									}
							})

					</script>';		
				}

			}else{

				echo'<script>

					swal({
						  type: "error",
						  title: "¡El nombre no puede ir vacío o llevar caracteres especiales!",
						  showConfirmButton: true,
						  confirmButtonText: "Cerrar"
						  }).then(function(result){
							if (result.value) {

							window.location = "vehiculo";

							}
						})

			  	</script>';

			}

		}

	}

	/*=============================================
	BORRAR VEHICULO
	=============================================*/

	static public function ctrBorrarVehiculo(){

		if(isset($_GET["idVehiculo"])){

			$tabla ="vehiculo";
			$datos = $_GET["idVehiculo"];

			$respuesta = ModeloVehiculo::mdlBorrarVehiculo($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "Vehiculo ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "vehiculo";

								}
							})

				</script>';

			}		

		}

	}




}